## maxflow 3.0.4

=== CMakeLists.txt ===
# This file is part of MAXFLOW.

# MAXFLOW is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# MAXFLOW is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with MAXFLOW.  If not, see <http://www.gnu.org/licenses/>.


PROJECT("maxflow")

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.5 FATAL_ERROR)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
  cmake_policy(SET CMP0012 NEW)
  IF(${CMAKE_VERSION} VERSION_GREATER 3.0.0) 
    cmake_policy(SET CMP0042 NEW)
  ENDIF()
endif(COMMAND cmake_policy)


SET(PACKAGE_NAME "maxflow")
SET(MAJOR_VERSION 3)
SET(MINOR_VERSION 0)
SET(MICRO_VERSION 4)
SET(INTERFACE_AGE 4)
SET(BINARY_AGE    4)


SET(PACKAGE_VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}")
SET(VERSION "${MAJOR_VERSION}.${MINOR_VERSION}")
SET(PACKAGE_NAME "${PACKAGE_NAME}-${VERSION}")
SET(prefix ${CMAKE_INSTALL_PREFIX})


MATH(EXPR MAXFLOW_CURRENT "${MICRO_VERSION} - ${BINARY_AGE}")
SET(MAXFLOW_REVISION ${INTERFACE_AGE})
MATH(EXPR MAXFLOW_AGE "${BINARY_AGE} - ${INTERFACE_AGE}")

SET(LIBRARY_SOVERSION_INFO "${MAXFLOW_CURRENT}")
SET(LIBRARY_VERSION_INFO "${MAXFLOW_CURRENT}.${MAXFLOW_AGE}.${MAXFLOW_REVISION}")

INCLUDE(GNUInstallDirs)

SET(INCLUDE_INSTALL_PATH ${CMAKE_INSTALL_INCLUDEDIR}/maxflow-${VERSION})


ADD_SUBDIRECTORY(maxflow)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

ADD_LIBRARY(maxflow SHARED maxflow.cpp)
SET_TARGET_PROPERTIES(maxflow PROPERTIES 
  SOVERSION ${LIBRARY_SOVERSION_INFO}
  VERSION ${LIBRARY_VERSION_INFO}
  )

INSTALL(TARGETS maxflow
  EXPORT MaxFlow
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}")  



SET(LIBRARY_INSTALL_PATH ${CMAKE_INSTALL_LIBDIR})



CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/maxflow.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/maxflow.pc)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/maxflow.pc DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig")
SET(MAXFLOW_BASE_HEADER
  maxflow.h
  )

INSTALL(FILES ${MAXFLOW_BASE_HEADER} DESTINATION ${INCLUDE_INSTALL_PATH})



ADD_EXECUTABLE(test-maxflow test_maxflow.cpp)
TARGET_LINK_LIBRARIES(test-maxflow maxflow)

ENABLE_TESTING()
ADD_TEST(maxflow test-maxflow)

=== debian/changelog ===
maxflow (3.0.4-1) unstable; urgency=low

  * Initial release (Closes: #742622)

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 22 Jul 2015 12:21:43 +0200

=== debian/control ===
Source: maxflow
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gw.fossdev@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/maxflow.git
Vcs-Git: git://anonscm.debian.org/debian-med/maxflow.git
Homepage: https://github.com/gerddie/maxflow

Package: libmaxflow0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: This library provides the maxflow-mincut algorithm
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high 
 performance that makes near real-time performance possible.

Package: libmaxflow-dev
Architecture: any
Section: libdevel
Depends: libmaxflow0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the maxflow-mincut algorithm  
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high 
 performance that makes near real-time performance possible.
 This package provides the development files for the library.

Package: libmaxflow0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmaxflow0 (= ${binary:Version}),
         ${misc:Depends}
Description: Debug information for the maxflow-mincut algorithm 
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high 
 performance that makes near real-time performance possible.
 This package provides the debug information for the library.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1


%:
	dh $@


override_dh_strip:
	 /usr/bin/dh_strip -plibmaxflow0 --dbg-package=libmaxflow0-dbg

=== debian/watch ===
version=3

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/gerddie/maxflow/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## maxflow 3.0.5

=== maxflow/CMakeLists.txt ===
# This file is part of MAXFLOW.

# MAXFLOW is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# MAXFLOW is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with MAXFLOW.  If not, see <http://www.gnu.org/licenses/>.

SET(MAXFLOW_HEADER
  block.h
  graph.h
  graph.cpp)

INSTALL(FILES ${MAXFLOW_HEADER} DESTINATION "${INCLUDE_INSTALL_PATH}/maxflow")

=== debian/changelog ===
maxflow (3.0.5-5) unstable; urgency=medium

  * Team upload.

  [ Andreas Metzler ]
  * Bump CMAKE_MINIMUM_REQUIRED to 3.5. Closes: #1113269.

  [ Santiago Vila ]
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 17 Oct 2025 13:05:00 +0200

maxflow (3.0.5-4) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * set Rules-Requires-Root: no
  * fix debian/watch for new GitHub API

  [ Juhani Numminen ]
  * Fix error in Maintainer address

  [ Debian Janitor ]
  * Apply multi-arch hints. + libmaxflow-dev, libmaxflow0: Add Multi-Arch: same.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository*.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Nov 2024 19:31:27 +0100

maxflow (3.0.5-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Gert Wollny ]
  * cme fix dpkg
  * d/control: Fix mailing list

 -- Gert Wollny <gewo@debian.org>  Sun, 26 Apr 2020 18:32:17 +0200

maxflow (3.0.5-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace
  * Use secure copyright file specification URI

  [ Andreas Tille ]
  * debhelper 11
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 13:36:41 +0100

maxflow (3.0.5-1) unstable; urgency=medium

  * d/watch: Correct name mangling
  * d/: Add gbp.conf file
  * New upstream version 3.0.5
  * d/p: remove obsolete patches

 -- Gert Wollny <gewo@debian.org>  Wed, 14 Feb 2018 11:43:55 +0100

maxflow (3.0.4-2) unstable; urgency=medium

  * d/control: - update VCS URLs to salsa
               - update to standards 4.1.3 (no changes needed)
  * d/.gitlab-ci.yml added
  * d/control, d/rules: Remove hard coded debug package
  * d/control: Update uploader email to gewo@debian.org
  * d/p: Add a copyright patch because the Debian tarball doesn't have
    it although it should be there.

 -- Gert Wollny <gewo@debian.org>  Tue, 13 Feb 2018 11:34:48 +0100

=== debian/control ===
Source: maxflow
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Gert Wollny <gewo@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/maxflow
Vcs-Git: https://salsa.debian.org/med-team/maxflow.git
Homepage: https://github.com/gerddie/maxflow

Package: libmaxflow0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: This library provides the maxflow-mincut algorithm
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high
 performance that makes near real-time performance possible.

Package: libmaxflow-dev
Architecture: any
Section: libdevel
Depends: libmaxflow0 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Development files for the maxflow-mincut algorithm
 This library implements an efficient minimum cut/maximum flow
 algorithms on graphs that can be used for exact or approximate
 energy minimization in low-level vision. The algorithm provides a high
 performance that makes near real-time performance possible.
 This package provides the development files for the library.

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/maxflow-$1\.tar\.gz/  \
https://github.com/gerddie/maxflow/tags .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
